variables:
  PYLINT_THRESHOLD: "9.5"
  PYTEST_COVERAGE_THRESHOLD: "100"

include:
  - remote: https://jobs.just-ci.dev/v3.2.4/'docker/kaniko.yml'
  - remote: https://jobs.just-ci.dev/v3.2.4/'python/black.yml'
  - remote: https://jobs.just-ci.dev/v3.2.4/'python/pylint.yml'
  - remote: https://jobs.just-ci.dev/v3.2.4/'python/pytest.yml'
  - remote: https://jobs.just-ci.dev/v3.2.4/'python/pip-outdated.yml'
  - remote: https://jobs.just-ci.dev/v3.2.4/'python/bandit.yml'
  - remote: https://jobs.just-ci.dev/v3.2.4/'python/safety.yml'
  - remote: https://jobs.just-ci.dev/v3.2.4/'python/mypy.yml'
  - remote: https://jobs.just-ci.dev/v3.2.4/'python/semantic-release/private.yml'
